Subject: Re: B20.1: Setitimer provides virtual timer?
From: Fergus Henderson <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 12 Aug 1999 13:44:56 +1000

On 12-Aug-1999, [email-masked] <[email-masked]> wrote:
> "setitimer(ITIMER_VIRTUAL, ...)" does not seem to deliver SIGVTALRM
> signals.  The test program included below, that sets the process timer
> and loops awaiting for timer expiration, will loop forever.  However,
> running this in background and sending the signal by "kill -VTALRM ..."
> from the shell will terminate it as expected (with an exclamation mark 
> output).
> 
> Is this the spec. of the current release or a bug?

The former, I think. 

Last time I checked, only ITIMER_REAL/SIGALRM was supported.
ITIMER_VIRTUAL and ITIMER_PROF were not yet implemented.

-- 
Fergus Henderson <[email-masked]>  |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>  |  of excellence is a lethal habit"
PGP: finger [email-masked]        |     -- the last words of T. S. Garp.

--
Want to unsubscribe from this list?
Send a message to [email-masked]